<?php

class FolderController extends Service_Controller_Action 
{
	protected $_oServiceFolder;
    
    public function init() 
    {
    	parent::init();
		$this->_oServiceFolder = new Service_Folder();
    }
	
	public function renameAction() 
	{
		if (!$this->_hasParam('key'))
		{
			$this->_redirect('/');
		}
		
		// load folder from db.
		$oFolder = $this->_oServiceFolder->getFolder($this->_oServiceFolder->getIdToKey($this->_getParam('key'), new Application_Model_Folder()));
		
		// check if folder exists.
		if (is_null($oFolder))
		{
			$this->_helper->flashMessenger->setNamespace('error')->addMessage('Folder not found.');
			$this->_redirect('/');
		}
		
		// set up form.
		$oForm = new Application_Form_Folder();
		$oForm->setDefaults(array('name' => $oFolder->name));
		$oForm->getElement('submit')->setLabel('Rename');
		
		// check form submit.
        if ($this->getRequest()->isPost()) 
        {
            $aFormData = $this->getRequest()->getPost();
            if ($oForm->isValid($aFormData)) 
            {
            	$this->_oServiceFolder->updateFolder($oFolder->folder_id, $aFormData);
				$this->_helper->flashMessenger->setNamespace('success')->addMessage('Folder renamed successfully.');
				
				// redirect to open folder.
				$oParentFolder = $this->_oServiceFolder->getFolder($oFolder->parent_folder_id);
				
				if (is_null($oParentFolder))
				{
					$this->_redirect('/');
				}
				else
				{
					$this->_redirect('/folder/' . $oParentFolder->folder_key);
				}
			}
		}
		
		$this->view->oForm = $oForm;
	}
}