<?php

class Application_Form_Setting extends Zend_Form {
	
    public function init() {
    	
		$this->addElement('text', 'site_title', array(
            'filters'    => array('StringTrim'),
            'required'   => true,
            'placeholder' => 'Site title',
            'label' => 'Site title',
            'escape' => false,
            'description' => 'By dusing <img src="img_path" /> you can set your company logo instead of a title.',
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(0, 50))
			)
        ));
		
		$this->addElement('text', 'footer_text', array(
            'filters'    => array('StringTrim'),
            'required'   => true,
            'placeholder' => 'Footer Text',
            'label' => 'Footer Text',
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(0, 100))
			)
        ));
				
		$this->addElement('text', 'email', array(
            'filters' => array('StringTrim'),
            'placeholder' => 'Admin eMail',
            'label' => 'Admin eMail',
            'required' => true,
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(0, 50)),
			)
        ));
		$this->getElement('email')->addValidator('EmailAddress');
		
		$this->addElement('select', 'pagination', array('label' => 'Pagination'));
        $this->getElement('pagination')->addMultiOptions(array(
        	0 => 'disable Pagination',
        	2 => '2',
        	5 => '5',
			10 => '10',
			20 => '20',
			50 => '50',
			100 => '100',
		)); 
		
		$this->addElement('select', 'theme', array('label' => 'Theme'));
        $this->getElement('theme')->addMultiOptions(array(
			'bootstrap.min.css' => 'Standard',
			'blue_bootstrap.min.css' => 'Blue',
			'red_bootstrap.min.css' => 'Red',
			'colored_bootstrap.min.css' => 'Colored',
			'simple_bootstrap.min.css' => 'Simple',
			'dark_bootstrap.min.css' => 'Dark',
		)); 
		
		$this->addElement('textarea', 'analytics_code', array(
            'required'   => false,
            'escape' => false,
            'rows' => 10,
            'placeholder' => 'Analytics code',
            'label' => 'Analytics code',
            'class' => 'input-xxlarge',
            'description' => 'Please create an google analytics account and register your website. Following that you must copy and paste the code provided by Google in the following field.',
        ));
		
        $login = $this->addElement('submit', 'save', array(
            'required' => false,
            'ignore'   => true,
            'label'    => 'Save Settings',
			'class' 	=> 'btn btn-success'
        ));
    }
}