<?php

class Application_Form_Setting_User extends Zend_Form {
	
    public function init() {
    	
		$this->addElement('select', 'user_registration', array(
			'label' => 'User Registration'
		));
        $this->getElement('user_registration')->addMultiOptions(array(
			1 => 'Allow new user registrations',
			0 => "Forbid new user registrations" 
		)); 
		
		$this->addElement('select', 'user_auto_approve', array(
			'label' => 'New User Approve'
		));
        $this->getElement('user_auto_approve')->addMultiOptions(array(
			1 => 'Automatically approve new members',
			0 => "Don't automatically approve new members" 
		));   
		
		$this->addElement('select', 'user_file_view', array(
			'label' => 'File Visibility'
		));
        $this->getElement('user_file_view')->addMultiOptions(array(
			Service_User::USER_SEES_ONLY_OWN_FILES => 'Users can view only her files',
			Service_User::USER_SEES_ALL_FILES => 'Users can see all files' 
		));
		
		$this->addElement('text', 'user_storage_size', array(
            'filters'    => array('StringTrim'),
            'required'   => true,
            'label' => 'User storage size',
            'placeholder' => 'User storage size',
            'description' => 'Storage size in MB. 0 MB = No storage size',
            'validators' => array(
				array('validator' => 'Int')
			)
        ));
		
        $login = $this->addElement('submit', 'save', array(
            'required' => false,
            'ignore'   => true,
            'label'    => 'Save Settings',
			'class' 	=> 'btn btn-success'
        ));
    }
}